Page MenuHomePhabricator

VisualEditor: [Regression] Lists badly broken again
Closed, ResolvedPublic

Description


Version: unspecified
Severity: critical

Details

Reference
bz48386

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:30 AM
bzimport set Reference to bz48386.
Esanders created this task.May 12 2013, 7:19 PM
  1. Hitting return inside a list item cases the paragraph to split, not the listitem (that's what shift-return should do)
  2. Unlisting the two line list item created in 1. causes the second line to completely disappear
  3. Listing two paragraphs only lists the first one, and adds an extra paragraph between them

By stepping back through the commit log I've isolated it down to this commit by Inez: https://gerrit.wikimedia.org/r/#/c/63223/1

Assigning the bug to him.

Related URL: https://gerrit.wikimedia.org/r/63413 (Gerrit Change I8d7aeffc8166487806e3489b054f508c5e9418ff)

Inez added a comment.May 13 2013, 6:54 AM

Fixed in https://gerrit.wikimedia.org/r/63413. Will close after it gets merged.

verified for any page in http://en.wikipedia.beta.wmflabs.org/
using Chrome Version 26.0.1410.65 MAC OS X 10.8.5